Name:           frescobaldi
Version:        4.0.1
Release:        %mkrel 1
Summary:        A LilyPond sheet music editor
Group:          Graphical desktop/KDE
License:        GPLv2+
Url:            https://www.frescobaldi.org
Source0:        https://github.com/frescobaldi/frescobaldi/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-qpageview
BuildRequires:  python3-ly

Requires:       qpageview
Requires:       python3-qt6-core
Requires:       python3-qt6-gui
Requires:       python3-qt6-network
Requires:       python3-qt6-printsupport
Requires:       python3-qt6-svg
Requires:       python3-qt6-webchannel
Requires:       python3-qt6-webengine
Requires:       python3-qt6-webenginewidgets
Requires:       python3-qt6-widgets
Requires:       python3-qt6-xml
Recommends:     lilypond
Recommends:     python3-pygame
Recommends:     python3-pyportmidi
Recommends:     portmidi

%description
Frescobaldi is a LilyPond sheet music editor. It aims to be powerful, yet
lightweight and easy to use.

%files -f %{pyproject_files}
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/org.%{name}.Frescobaldi.desktop
%{_metainfodir}/org.%{name}.Frescobaldi.metainfo.xml
%{_iconsdir}/hicolor/scalable/apps/org.%{name}.Frescobaldi.svg
%{_mandir}/man1/%{name}.1.*

#--------------------------------------------------------------------

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

cp linux/org.frescobaldi.Frescobaldi.desktop.in linux/org.frescobaldi.Frescobaldi.desktop
cp linux/org.frescobaldi.Frescobaldi.metainfo.xml.in linux/org.frescobaldi.Frescobaldi.metainfo.xml

%install
%pyproject_install
%pyproject_save_files %{name}

mkdir -p %{buildroot}%{_metainfodir}
install -m 0644 linux/org.frescobaldi.Frescobaldi.metainfo.xml \
   %{buildroot}%{_metainfodir}/org.frescobaldi.Frescobaldi.metainfo.xml

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
install -m 0644 frescobaldi/icons/org.frescobaldi.Frescobaldi.svg \
   %{buildroot}%{_iconsdir}/hicolor/scalable/apps/

mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 frescobaldi.1 %{buildroot}%{_mandir}/man1/

# desktop file
desktop-file-install                                         \
   --dir=%{buildroot}%{_datadir}/applications                \
   --add-category=X-Notation                                 \
   --delete-original                                         \
   linux/org.frescobaldi.Frescobaldi.desktop


%changelog
* Sat Apr 05 2025 daviddavid <daviddavid> 4.0.1-1.mga10
+ Revision: 2173636
- new version: 4.0.1
- switch to PyQt6

* Sat Mar 08 2025 daviddavid <daviddavid> 3.3.0-5.mga10
+ Revision: 2161994
- switch to pyproject

* Fri Mar 07 2025 daviddavid <daviddavid> 3.3.0-4.mga10
+ Revision: 2161588
- rebuild for python 3.13

* Mon Dec 18 2023 papoteur <papoteur> 3.3.0-3.mga10
+ Revision: 2018957
- Mass Rebuild - Python 3.12

* Mon May 29 2023 daviddavid <daviddavid> 3.3.0-2.mga9
+ Revision: 1959712
- add missing dependency on python3-qt5-xml to fix crash at startup (mga#31973)
- recommend lilypond instead of hard required it

* Sun Apr 09 2023 bcornec <bcornec> 3.3.0-1.mga9
+ Revision: 1951881
- Update to upstream frescobaldi 3.3.0

* Tue Jan 03 2023 daviddavid <daviddavid> 3.2-2.mga9
+ Revision: 1929664
- add missing dependency on qpageview (mga#31357)

* Thu Oct 06 2022 neoclust <neoclust> 3.2-1.mga9
+ Revision: 1895165
- New version 3.2

* Wed Mar 23 2022 umeabot <umeabot> 3.1.3-4.mga9
+ Revision: 1823036
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 akien <akien> 3.1.3-3.mga9
+ Revision: 1779117
- Rebuild for python 3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 3.1.3-2.mga9
+ Revision: 1705564
- rebuild for python 3.9

* Mon Dec 28 2020 daviddavid <daviddavid> 3.1.3-1.mga8
+ Revision: 1664551
- new version: 3.1.3

* Wed Nov 04 2020 akien <akien> 3.1.2-2.mga8
+ Revision: 1642489
- Fix PyQt5 requires (mga#19757)

* Mon Apr 13 2020 daviddavid <daviddavid> 3.1.2-1.mga8
+ Revision: 1567172
- new version: 3.1.2

* Wed Feb 19 2020 umeabot <umeabot> 3.1.1-2.mga8
+ Revision: 1542739
- Mageia 8 Mass Rebuild

* Mon Jan 06 2020 daviddavid <daviddavid> 3.1.1-1.mga8
+ Revision: 1476949
- new version: 3.1.1

* Mon Dec 30 2019 daviddavid <daviddavid> 3.1-1.mga8
+ Revision: 1474936
- new version: 3.1

* Tue Sep 17 2019 daviddavid <daviddavid> 3.0.0-7.mga8
+ Revision: 1442753
- rebuild for python3.8

* Wed Apr 17 2019 daviddavid <daviddavid> 3.0.0-6.mga7
+ Revision: 1391925
- fix PyQt5 dependencies switching to Python3
- recommend python3-pygame and python3-pyportmidi

* Fri Jan 11 2019 daviddavid <daviddavid> 3.0.0-5.mga7
+ Revision: 1354697
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.0.0-4.mga7
+ Revision: 1278382
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 3.0.0-3.mga7
+ Revision: 1135213
- Rebuild for python 3.6

* Fri Mar 10 2017 akien <akien> 3.0.0-2.mga6
+ Revision: 1091717
- Fix missing PyQt5 dependencies

* Sun Feb 26 2017 akien <akien> 3.0.0-1.mga6
+ Revision: 1087981
- Version 3.0.0
- Ported to Qt5
- Remove explicit Requires for python modules, AutoReq does its job fine

* Sun Jan 22 2017 akien <akien> 2.19.0-1.mga6
+ Revision: 1082919
- Version 2.19.0

* Thu Apr 28 2016 daviddavid <daviddavid> 2.18.2-2.mga6
+ Revision: 1007146
- use new python macros

* Tue Jan 26 2016 spuhler <spuhler> 2.18.2-1.mga6
+ Revision: 927904
- upgrade to vers. 2.18.2
  * bug fixes

* Wed Oct 07 2015 spuhler <spuhler> 2.18.1-3.mga6
+ Revision: 886984
- rebuild with python-3.5

* Sun Aug 30 2015 spuhler <spuhler> 2.18.1-2.mga6
+ Revision: 871320
- use python3 for build

* Thu Jun 25 2015 spuhler <spuhler> 2.18.1-1.mga6
+ Revision: 842752
- upgrade to vers. 2.18.1

* Fri Jan 09 2015 spuhler <spuhler> 2.17.1-1.mga5
+ Revision: 809632
- upgrade to 2.17.1

* Wed Oct 15 2014 umeabot <umeabot> 2.0.16-4.mga5
+ Revision: 741622
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.16-3.mga5
+ Revision: 726245
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.16-2.mga5
+ Revision: 679357
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Aug 30 2014 spuhler <spuhler> 2.0.16-1.mga5
+ Revision: 669585
- upgrade to version 2.0.16

* Sat May 31 2014 pterjan <pterjan> 2.0.15-2.mga5
+ Revision: 628189
- Rebuild for new Python

* Thu Mar 13 2014 spuhler <spuhler> 2.0.15-1.mga5
+ Revision: 603148
- upgrade to ver. 2.0.15

* Wed Feb 05 2014 spuhler <spuhler> 2.0.13-1.mga5
+ Revision: 582762
- upgrade to 2.0.13

* Tue Oct 22 2013 umeabot <umeabot> 2.0.11-2.mga4
+ Revision: 542539
- Mageia 4 Mass Rebuild
+ spuhler <spuhler>
- added Requires: lilypond
- upgrade to version 2.0.11
  * bug fixes
  * some features, incl. man

* Mon Oct 14 2013 pterjan <pterjan> 2.0.10-2.mga4
+ Revision: 497753
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jun 09 2013 fwang <fwang> 2.0.10-1.mga4
+ Revision: 441072
- new version 2.0.10

* Fri Jan 11 2013 umeabot <umeabot> 2.0.8-3.mga3
+ Revision: 350961
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 2.0.8-2.mga3
+ Revision: 317291
- fix bug#8035, hardrequires on pypopper-qt4, and suggests portmidi

* Sun Sep 16 2012 fwang <fwang> 2.0.8-1.mga3
+ Revision: 294302
- new version 2.0.8

* Sat Sep 08 2012 fwang <fwang> 2.0.7-1.mga3
+ Revision: 289885
- new version 2.0.7

* Mon Jun 04 2012 fwang <fwang> 2.0.6-1.mga3
+ Revision: 253855
- new version 2.0.6

* Fri Mar 09 2012 fwang <fwang> 2.0.4-1.mga2
+ Revision: 222066
- new version 2.0.4

* Tue Jan 17 2012 fwang <fwang> 2.0.2-1.mga2
+ Revision: 197484
- new version 2.0.2

* Sat Jan 14 2012 fwang <fwang> 2.0.1-1.mga2
+ Revision: 195967
- new version 2.0.1
- not kde4 based now

* Tue Dec 27 2011 fwang <fwang> 2.0.0-1.mga2
+ Revision: 188106
- cleanup req
- new version 2.0.0

* Tue May 17 2011 dmorgan <dmorgan> 1.2.0-1.mga1
+ Revision: 99438
- New version 1.2.0
- imported package frescobaldi


* Thu Feb 18 2010 Funda Wang <fwang@mandriva.org> 1.0.2-1mdv2010.1
+ Revision: 507643
- new version 1.0.2

* Sun Jan 17 2010 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2010.1
+ Revision: 492594
- update to new version 1.0.1

* Sat Dec 26 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 482584
- update to new version 1.0.0

* Sun Nov 29 2009 Funda Wang <fwang@mandriva.org> 0.7.17-1mdv2010.1
+ Revision: 471334
- new version 0.7.17

* Mon Nov 16 2009 Funda Wang <fwang@mandriva.org> 0.7.16-1mdv2010.1
+ Revision: 466404
- new version 0.7.16

* Mon Nov 09 2009 Funda Wang <fwang@mandriva.org> 0.7.15-1mdv2010.1
+ Revision: 463297
- new version 0.7.15

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.14-1mdv2010.0
+ Revision: 438608
- update to new version 0.7.14

* Mon Aug 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.13-1mdv2010.0
+ Revision: 414368
- update to new version 0.7.13

* Thu Jul 02 2009 Funda Wang <fwang@mandriva.org> 0.7.12-1mdv2010.0
+ Revision: 391823
- New version 0.7.12

* Tue Jun 16 2009 Funda Wang <fwang@mandriva.org> 0.7.11-1mdv2010.0
+ Revision: 386240
- New verison 0.7.11

* Tue Jun 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.10-1mdv2010.0
+ Revision: 384465
- Update to new version 0.7.10
--This line, and those below, will be ignored--
  AM   SOURCES/frescobaldi-0.7.10.tar.gz
  D    SOURCES/frescobaldi-0.7.9.tar.gz
  M    SPECS/frescobaldi.spec

* Sun May 24 2009 Funda Wang <fwang@mandriva.org> 0.7.9-1mdv2010.0
+ Revision: 379129
- New version 0.7.9

* Sat Mar 21 2009 Funda Wang <fwang@mandriva.org> 0.7.8-1mdv2009.1
+ Revision: 359926
- with html
- BR kdelibs4
- only for kde 4.2
- New version 0.7.8

* Sat Feb 21 2009 Funda Wang <fwang@mandriva.org> 0.7.6-2mdv2009.1
+ Revision: 343614
- lilypond-kde4 is not needed

* Sat Feb 21 2009 Funda Wang <fwang@mandriva.org> 0.7.6-1mdv2009.1
+ Revision: 343613
- New version 0.7.6

* Thu Feb 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.5-1mdv2009.1
+ Revision: 339859
- update to new version 0.7.5

* Sun Feb 01 2009 Funda Wang <fwang@mandriva.org> 0.7.4-1mdv2009.1
+ Revision: 335964
- New verison 0.7.4

* Fri Jan 23 2009 Funda Wang <fwang@mandriva.org> 0.7.3-2mdv2009.1
+ Revision: 332847
- requires okular

* Thu Jan 22 2009 Funda Wang <fwang@mandriva.org> 0.7.3-1mdv2009.1
+ Revision: 332551
- import frescobaldi


